package com.fzm.mall.server.front.enums;

import com.fzm.mall.server.front.constant.MALLGlobalConfig;

public enum QueueTypeEnum {

    
    //转币队列
    CONFIRM_WITHDRAW(MALLGlobalConfig.projectMq+"-withdraw-exchange",MALLGlobalConfig.projectMq+".withdraw.queue",MALLGlobalConfig.projectMq+" .withdraw.key"),
	//订单支付
	ORDER_PAY(MALLGlobalConfig.projectMq+"-order-exchange",MALLGlobalConfig.projectMq+".order.pay.queue",MALLGlobalConfig.projectMq+".order.pay.key"),
    //积分支付邮费
    COIN_PAY_POSTFEE(MALLGlobalConfig.projectMq+"-coinpay-postfee-exchange",MALLGlobalConfig.projectMq+".coin.pay.postfee.queue",MALLGlobalConfig.projectMq+".coin.pay.postfee.key"),
	//确认收货
	CONFIRM_RECEIPT(MALLGlobalConfig.projectMq+"-confirm-receipt-exchange",MALLGlobalConfig.projectMq+".confirm.receipt.queue",MALLGlobalConfig.projectMq+".confirm.receipt.key"),
	//订单完成
	ORDER_FINISH(MALLGlobalConfig.projectMq+"-order-exchange",MALLGlobalConfig.projectMq+".order.finish.queue",MALLGlobalConfig.projectMq+".order.finish.key"),
    //订单超时关闭
    ORDER_CLOSE(MALLGlobalConfig.projectMq+"-order-exchange",MALLGlobalConfig.projectMq+".order.clsoe.queue",MALLGlobalConfig.projectMq+".order.close.key"),
	//订单转币
	ORDER_TRAN(MALLGlobalConfig.projectMq+"-order-exchange",MALLGlobalConfig.projectMq+".order.tran.queue",MALLGlobalConfig.projectMq+".order.tran.key"),
	//订单邀请购买
	ORDER_GOODS(MALLGlobalConfig.projectMq+"-order-exchange",MALLGlobalConfig.projectMq+".order.goods.queue",MALLGlobalConfig.projectMq+".order.goods.key"),
	
	REFUND_ORDER_UPDATE(MALLGlobalConfig.projectMq+"-refund-orderUpdate-exchange", MALLGlobalConfig.projectMq+".refund.orderUpdate.queue", MALLGlobalConfig.projectMq+".refund.orderUpdate.key"),
	// 申请单独提货
	DRAW_GOODS_APPLY(MALLGlobalConfig.projectMq+"-draw-apply-exchange", MALLGlobalConfig.projectMq+".draw.apply.queue", MALLGlobalConfig.projectMq+".draw.apply.key"),
	// 确认收货
	DRAW_GOODS_CONFIRM(MALLGlobalConfig.projectMq+"-draw-confirm-exchange", MALLGlobalConfig.projectMq+".draw.confirm.queue", MALLGlobalConfig.projectMq+".draw.confirm.key"),
    //资产转币
    MALL_ASSET_TRAN(MALLGlobalConfig.projectMq+"-asset-tran-exchange", MALLGlobalConfig.projectMq+".asset.tran.queue", MALLGlobalConfig.projectMq+".asset.tran.key"),
    //用户资产-商品token转让
    MALL_USER_ASSET_TRANSFER(MALLGlobalConfig.projectMq+"-user-asset-transfer-exchange", MALLGlobalConfig.projectMq+".user.asset.transfer.queue", MALLGlobalConfig.projectMq+".user.asset.transfer.key"),
    //转让购买成功
    TRAN_PAY(MALLGlobalConfig.projectMq+"-pay-tran-exchange", MALLGlobalConfig.projectMq+".pay.tran.queue", MALLGlobalConfig.projectMq+".pay.tran.key"),
    //注册奖励
    REGISTER_REWARD(MALLGlobalConfig.projectMq+"-register-reward-exchange", MALLGlobalConfig.projectMq+".register.reward.queue", MALLGlobalConfig.projectMq+".register.reward.key"),
    //升级
    MEMBER_UP(MALLGlobalConfig.projectMq+"-memberup-exchange", MALLGlobalConfig.projectMq+".memberup.queue", MALLGlobalConfig.projectMq+".memberup.key");
    ;

    private String exchange;
    
    private String queue;
    
    private String queueKey;
    
    private QueueTypeEnum(String exchange, String queue, String queueKey) {
        this.exchange = exchange;
        this.queue = queue;
        this.queueKey = queueKey;
    }
    
    public String getExchange() {
        return exchange;
    }
    
    public String getQueue() {
        return queue;
    }
    
    public String getQueueKey() {
        return queueKey;
    }

}